/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "game.h"
#include "gametime.h"
#include "input.h"
#include "console/console.h"

void gameInit() {
  consoleInit();
  gameTimeInit();
  inputInit();
}

void gameUpdate(const float delta) {
  gameTimeUpdate(delta);
  inputUpdate();
}